GCLOUD_COMPUTE_TARGET-SSL-PROXIES_CREATE(1)

NAME

gcloud compute target-ssl-proxies create - create a target SSL proxy

SYNOPSIS

gcloud compute target-ssl-proxies create NAME --backend-service=BACKEND_SERVICE --ssl-certificate=SSL_CERTIFICATE [--description=DESCRIPTION] [--proxy-header=PROXY_HEADER; default="NONE"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute target-ssl-proxies create is used to create target SSL proxies. A target SSL proxy is referenced by one or more forwarding rules which define which packets the proxy is responsible for routing. The target SSL proxy points to a backend service which handle the actual requests. The target SSL proxy also points to an SSL certificate used for server-side authentication.

POSITIONAL ARGUMENTS

    NAME
        The name of the target SSL proxy to create.

REQUIRED FLAGS

    --backend-service=BACKEND_SERVICE
        A backend service that will be used for connections to the target SSL proxy.

    --ssl-certificate=SSL_CERTIFICATE
        A reference to an SSL certificate resource that is used for server-side authentication. The SSL certificate must exist and cannot be deleted while referenced by a target SSL proxy.

OPTIONAL FLAGS

    --description=DESCRIPTION
        An optional, textual description for the target SSL proxy.

    --proxy-header=PROXY_HEADER; default="NONE"
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Enables PROXY protocol (version 1) for passing client connection information.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.